{
  "type" : "record",
  "name" : "SearchCallSetsRequest",
  "namespace" : "org.ga4gh.methods",
  "doc" : "This request maps to the body of `POST /callsets/search` as JSON.",
  "fields" : [ {
    "name" : "variantSetId",
    "type" : "string",
    "doc" : "The VariantSet to search."
  }, {
    "name" : "name",
    "type" : [ "null", "string" ],
    "doc" : "Only return call sets with this name (case-sensitive, exact match).",
    "default" : null
  }, {
    "name" : "pageSize",
    "type" : [ "null", "int" ],
    "doc" : "Specifies the maximum number of results to return in a single page.\n  If unspecified, a system default will be used.",
    "default" : null
  }, {
    "name" : "pageToken",
    "type" : [ "null", "string" ],
    "doc" : "The continuation token, which is used to page through large result sets.\n  To get the next page of results, set this parameter to the value of\n  `nextPageToken` from the previous response.",
    "default" : null
  } ]
}
